%success {
  color: inherit;
  background: #c7d0c0;
  border: 1px solid #006c00;

  &.critical {
    color: green;
  }
}

%failure {
  color: inherit;
  background: #ffdddd;
  border: 1px solid #6e0000;

  &.critical {
    color: red;
  }
}
%warning {
  color: white;
  background: var(--color-level-warning);
}

.dice-roll {
  flex-direction: column;
  gap: .5rem;

  .dice-result {
    order: unset;
  }

  .dice-tooltip {
    padding: .4rem;
  }

  .dice-total {
    padding: .4rem .8rem;
    display: flex;
    justify-content: space-between;
    align-items: center;

    &.success {
      @extend %success;
    }

    &.failure {
      @extend %failure;
    }
  }

  .success-level {
    display: flex;
    align-items: center;
    gap: 0.3rem;
  }

  .roll-actions {
    .action {
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 0.5rem;
      gap: 0.3rem;
      line-height: 1;

      &.applied {
        .icon {
          opacity: 1;
          width: auto;
        }
      }
      .icon {
        transition: opacity 300ms ease-in-out;
        width: 0;
        opacity: 0;
      }
    }

  }
  .roll-notifications {
    display: flex;
    flex-direction: column;
    gap: .2rem;
    .notification {
      box-shadow: none;
      margin: 0;
    }

  }
}
